| Talking Reminder this project is intenfed for people who are not tech savvy

Classes | Public Member Functions | Protected Member Functions | List of all members
com.sudogeeks.talking_reminder.MainActivity Class Reference

Main Activity class This activity is the entry point of the app and is responsible for handling User Authentication and Landing page view. More...

Inheritance diagram for com.sudogeeks.talking_reminder.MainActivity:

## Classes
class | SimpleAdapter
| Adapter class (Inner Class) for implementing recycler view. More...

## Public Member Functions
void | onCreateContextMenu (ContextMenu menu, View view, ContextMenu.ContextMenuInfo menuInfo)
void | onActivityResult (int requestCode, int resultCode, Intent data)
void | onResume ()
boolean | onCreateOptionsMenu (Menu menu)
boolean | onOptionsItemSelected (MenuItem item)

## Protected Member Functions
void | onCreate (Bundle savedInstanceState)
void | onPause ()
RecyclerView.LayoutManager | getLayoutManager ()
int | getDefaultItemCount ()

## Detailed Description

Main Activity class This activity is the entry point of the app and is responsible for handling User Authentication and Landing page view.

Definition at line 52 of file MainActivity.java.

## Member Function Documentation

## ◆ getDefaultItemCount()

int com.sudogeeks.talking_reminder.MainActivity.getDefaultItemCount | ( |  | ) |
| protected

Helper method

Returns
  integer 100

Definition at line 367 of file MainActivity.java.

## ◆ getLayoutManager()

RecyclerView.LayoutManager com.sudogeeks.talking_reminder.MainActivity.getLayoutManager | ( |  | ) |
| protected

Layout manager for recycler view

Returns
  LinearLayoutManager instance

Definition at line 359 of file MainActivity.java.

## ◆ onActivityResult()

void com.sudogeeks.talking_reminder.MainActivity.onActivityResult | ( | int | requestCode,
|  | int | resultCode,
|  | Intent | data
| ) |  |

Standard method for handling the outcome of an activity. If user signs in is successful then only take the user to main page. Else force the user to login in first

Parameters

  requestCode |
  resultCode |
  data |

Definition at line 319 of file MainActivity.java.

## ◆ onCreate()

void com.sudogeeks.talking_reminder.MainActivity.onCreate | ( | Bundle | savedInstanceState | ) |
| protected

onCreate() implementation Overridden method. In this method initial life cycle of the app is implemented. If user is not authenticated then user is sent for login/signup, else database instance and main view is initialized

Parameters

  savedInstanceState |

Definition at line 154 of file MainActivity.java.

## ◆ onCreateContextMenu()

void com.sudogeeks.talking_reminder.MainActivity.onCreateContextMenu | ( | ContextMenu | menu,
|  | View | view,
|  | ContextMenu.ContextMenuInfo | menuInfo
| ) |  |

Create context menu for long press actions

Parameters

  menu |
  view |
  menuInfo |

Definition at line 294 of file MainActivity.java.

## ◆ onCreateOptionsMenu()

boolean com.sudogeeks.talking_reminder.MainActivity.onCreateOptionsMenu | ( | Menu | menu | ) |

Creating main menu

Parameters

  Menu | object

Returns
  boolean

Definition at line 378 of file MainActivity.java.

## ◆ onOptionsItemSelected()

boolean com.sudogeeks.talking_reminder.MainActivity.onOptionsItemSelected | ( | MenuItem | item | ) |

Defines behaviours for the menu items.

Parameters

  item |

Returns
  Boolean

Definition at line 389 of file MainActivity.java.

## ◆ onPause()

void com.sudogeeks.talking_reminder.MainActivity.onPause | ( |  | ) |
| protected

Define what happens when user closes the app Overridden method

Definition at line 278 of file MainActivity.java.

## ◆ onResume()

void com.sudogeeks.talking_reminder.MainActivity.onResume | ( |  | ) |

Define the behaviour of the app in case user comes back after suspending the app. -Recreate recycler view : This is done so that newly created reminders are also displayed

Definition at line 340 of file MainActivity.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/MainActivity.java